SUMMARY = "run processes in parallel and multiplex their output"
DESCRIPTION = "startpar is used to run multiple run-level scripts in parallel."
HOMEPAGE = "http://savannah.nongnu.org/projects/sysvinit"
SECTION = "base"
LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://COPYING;md5=751419260aa954499f7abaabaa882bbe"
PR = "r0"

RDEPENDS_${PN} = "sysvinit-inittab"

SRC_URI = "${SAVANNAH_GNU_MIRROR}/sysvinit/startpar-${PV}.tar.xz"

# TODO - need to add dependency files

SRC_URI[md5sum] = "0fe57dcef653d87650133d6d25a90f97"
SRC_URI[sha256sum] = "482a6869a5a5413d305f3073a0d831cca14bf7634554194419ca7015d5dd5731"

S = "${WORKDIR}/${PN}"

FILES_${PN} = "${base_sbindir}/startpar" 

do_install_append () {
    install -d ${D}${base_sbindir}
    install -m 755 ${S}/startpar ${D}${base_sbindir}/
}
