#!/bin/bash
# Let mts-io know when the radio is ready
pid=$$
prefix="<3>cellular-discovery[${pid}]: "
loginfo()  { echo "${prefix}$@" >/dev/kmsg ; }

loginfo "cellular_radios.sh invoked"
READYFILE=/sys/devices/platform/mts-io/radio-udev-discovery
if [[ -f $READYFILE ]] ; then
    if (($(cat $READYFILE) == 0)) ; then
        loginfo "Cellular is now available"
    fi
    echo 1 >$READYFILE
fi

