DESCRIPTION = "MultiTech Softdog monitor"
LICENSE = "MIT"
RDEPENDS_${PN} += "kernel-module-softdog bash"

inherit autotools

inherit update-rc.d systemd

INITSCRIPT_NAME = "${PN}"
# should we ever stop?
INITSCRIPT_PARAMS = "start 99 3 5 . stop 20 0 1 2 6 ."

LIC_FILES_CHKSUM = "file://COPYING;md5=30e3dd411ec20099cbf782f420ae7ec2"
PR = "r0"
SRCREV="${PV}"
FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"
PACKAGES =+ "${PN}-test"
FILES_${PN}-test = "${sbindir}/hog"

SRC_URI = "git://git.multitech.net/softdog-mon.git;protocol=git \
           file://init \
           file://default \
"

S = "${WORKDIR}/git"

do_install_append() {
    echo $(pwd)
    install -d ${D}/${sysconfdir}/init.d
    install -d ${D}/${sysconfdir}/default
    install -m 0755 ${WORKDIR}/init ${D}/${sysconfdir}/init.d/${PN}
    install ${WORKDIR}/default ${D}/${sysconfdir}/default/${PN}
}
