DESCRIPTION = "Provides the Multi-Tech battd server"
SECTION = "base"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/MIT;md5=0835ade698e0bcf8506ecda2f7b4f302"
PROVIDES = "annex-client"
# This is only for ARM
COMPATIBLE_HOST = "(arm-mlinux-linux-gnueabi)"
RDEPENDS_${PN} += "libcurl"

INSANE_SKIP_${PN} += "build-deps already-stripped ldflags"

PR = "r2"
TAR_PR = "r1"
SRC_URI = "http://multitech.net/downloads/${PN}_${PV}-${TAR_PR}_${TUNE_PKGARCH}.tar.xz \
"

SRC_URI[md5sum] = "a99f5fdb78ed5755f7df3e6a0553dd75"
SRC_URI[sha256sum] = "8dfa10da16c9408d702983533d26c45be1788083e37f7bc0fb336ebcb79b8d95"


S = "${WORKDIR}"

do_install() {
    install -d ${D}${sbindir}
    install -m 755 ${PN}_${PV}-${TAR_PR}_${TUNE_PKGARCH}/battd ${D}${sbindir}
}

